MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025246Open CASCADE[OCCT] OCCT:Codingpublic2014-09-18 08:262015-05-14 15:32
Reporteraml 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025246: Make methods Intervals and NbIntervals const in Adaptor3d_Curve and it descendants
DescriptionThe rationale is that logically these methods should have been const, as the fields that they change (when they do) are just a cache and do not change logical state of the object.
Steps To Reproduce- Generate Visual Studio projects (VS2012 or later) with patched WOK
- Build OCCT
Additional information
and documentation updates
In Release Notes this change must be highlighted in Porting section: all classes inheriting Adaptor3d_Curve (directly or indirectly) in application code must be updated to use new signature of methods Intervals() and NbIntervals(). Note that no compiler warning will be generated if this is not done!
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025183closedbugmaster WOK - add "Standard_Override" specifier to redefined methods 

-  Notes
(0033795)
git (administrator)
2014-10-29 09:28

Branch CR25246 has been created by aml.

SHA-1: de5741f87729ef57a169f9f51409c0f8310c18dc


Detailed log of new commits:

Author: aml
Date: Tue Oct 28 09:15:21 2014 +0300

    0025246: Make methods Intervals and NbIntervals const in Adaptor3d_Curve and it descendants
    
    Qualifier "const" added to NbIntervals and Intervals functions.
(0033796)
aml (developer)
2014-10-29 09:30

Dear abv,

Please check current state of branches CR25246 in occt and products repositories.
(0036319)
kgv (developer)
2015-01-21 14:05

Dear Dmitry,

from branch CR25183 for 0025183:
-    NbIntervals(me; S : Shape from GeomAbs) returns Integer
+    NbIntervals(me: in out; S : Shape from GeomAbs) returns Integer
...
-    Intervals(me; T : in out Array1OfReal from TColStd; 
+    Intervals(me: in out; T : in out Array1OfReal from TColStd;


please check/update patch for 0025246 with introduced override in WOK to ensure that all inheritors have been updated (including products branch - it would be good to add Standard_OVERRIDE to these methods in headers, not exported from .cdl).
(0037671)
dbv (developer)
2015-02-18 16:43

occt-products branch CR25246 has been updated
occt branch CR25183 has been updated according to changes in this patch

Dear Kirill, please review.
(0037672)
kgv (developer)
2015-02-18 16:52

Dear Dmitry,

please re-base branches CR25246 for occt and products to current master and cherry-pick patch from CR25183 into CR25246 for occt.
(0037673)
git (administrator)
2015-02-18 17:10

Branch CR25246 has been updated forcibly by dbv.

SHA-1: 998bca9ebeda7a79be05389282c2ebaa6deb1d47
(0037674)
dbv (developer)
2015-02-18 17:13

Dear Kirill,

occt and occt-products branches CR25246 has been re-based and ready to be reviewed.
(0037675)
kgv (developer)
2015-02-18 17:17

Please test the patch.

Notice that steps to reproduce suppose using patched WOK - this can be skipped for now, just test on current WOK.
(0037756)
mkv (tester)
2015-02-20 17:40

Dear BugMaster,
Branch CR25246 from occt git-repository and
branch CR25246 from products git-repository
was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 998bca9ebeda7a79be05389282c2ebaa6deb1d47
SHA-1: 0c81e3d53108dbe1ae08ca4210b98b97e2573155

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 84862335 / 86193283
Total CPU difference: 50513.44000000016 / 48446.16999999995
products component :
Total MEMORY difference: 23436364 / 23470864
Total CPU difference: 16128.989999999974 / 15857.75999999999

Testing on Windows:
occt component :
Total MEMORY difference: 40698856 / 40708321
Total CPU difference: 36347.59375 / 34798.28125
products component :
Total MEMORY difference: 11056207 / 11104501
Total CPU difference: 11270.84375 / 12082.625

There are no differences in images found by testdiff.
(0038511)
git (administrator)
2015-03-18 13:33

Branch CR25246 has been deleted by inv.

SHA-1: 998bca9ebeda7a79be05389282c2ebaa6deb1d47

- Related Changesets
occt: master 31b1749c
Timestamp: 2015-02-26 09:44:01
Author: aml
Committer: bugmaster
Details ] Diff ]
0025246: Make methods Intervals and NbIntervals const in Adaptor3d_Curve and it descendants

Qualifier "const" added to NbIntervals and Intervals functions.

Fixed Standard_OVERRIDE macro description
Removed obsolete method declaration from Standard_Transient.cdl
mod - src/Adaptor3d/Adaptor3d_Curve.cdl Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_Curve.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cdl Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_CurveOnSurface.cxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HCurve.cdl Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_HCurve.lxx Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cdl Diff ] File ]
mod - src/Adaptor3d/Adaptor3d_IsoCurve.cxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_CompCurve.cdl Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_CompCurve.cxx Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_Curve.cdl Diff ] File ]
mod - src/BRepAdaptor/BRepAdaptor_Curve.cxx Diff ] File ]
mod - src/ChFiDS/ChFiDS_ElSpine.cdl Diff ] File ]
mod - src/ChFiDS/ChFiDS_ElSpine.cxx Diff ] File ]
mod - src/GCPnts/GCPnts_TangentialDeflection.gxx Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cdl Diff ] File ]
mod - src/GeomAdaptor/GeomAdaptor_Curve.cxx Diff ] File ]
mod - src/GeomFill/GeomFill_SnglrFunc.cdl Diff ] File ]
mod - src/GeomFill/GeomFill_SnglrFunc.cxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_BCurveTool.cdl Diff ] File ]
mod - src/HLRBRep/HLRBRep_BCurveTool.lxx Diff ] File ]
mod - src/HLRBRep/HLRBRep_Curve.cdl Diff ] File ]
mod - src/HLRBRep/HLRBRep_Curve.lxx Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectOnPlane.cdl Diff ] File ]
mod - src/ProjLib/ProjLib_ProjectOnPlane.cxx Diff ] File ]
mod - src/Standard/Standard_Macro.hxx Diff ] File ]
mod - src/Standard/Standard_Transient.cdl Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-09-18 08:26 aml New Issue
2014-09-18 08:26 aml Assigned To => aml
2014-10-29 09:28 git Note Added: 0033795
2014-10-29 09:30 aml Note Added: 0033796
2014-10-29 09:30 aml Assigned To aml => abv
2014-10-29 09:30 aml Status new => resolved
2014-10-29 14:59 abv Target Version => 7.1.0
2015-01-21 14:00 kgv Relationship added related to 0025183
2015-01-21 14:05 kgv Note Added: 0036319
2015-01-21 14:05 kgv Assigned To abv => dbv
2015-01-21 14:05 kgv Status resolved => assigned
2015-02-18 12:43 kgv Target Version 7.1.0 => 6.9.0
2015-02-18 16:43 dbv Note Added: 0037671
2015-02-18 16:43 dbv Assigned To dbv => kgv
2015-02-18 16:43 dbv Status assigned => resolved
2015-02-18 16:43 dbv Steps to Reproduce Updated View Revisions
2015-02-18 16:52 kgv Note Added: 0037672
2015-02-18 16:52 kgv Assigned To kgv => dbv
2015-02-18 16:52 kgv Status resolved => assigned
2015-02-18 17:10 git Note Added: 0037673
2015-02-18 17:13 dbv Note Added: 0037674
2015-02-18 17:13 dbv Assigned To dbv => kgv
2015-02-18 17:13 dbv Status assigned => resolved
2015-02-18 17:17 kgv Note Added: 0037675
2015-02-18 17:17 kgv Assigned To kgv => bugmaster
2015-02-18 17:17 kgv Status resolved => reviewed
2015-02-18 19:25 mkv Assigned To bugmaster => mkv
2015-02-20 17:40 mkv Note Added: 0037756
2015-02-20 17:40 mkv Assigned To mkv => bugmaster
2015-02-20 17:40 mkv Status reviewed => tested
2015-02-20 17:40 mkv Test case number => Not needed
2015-02-26 13:12 abv Additional Information Updated View Revisions
2015-02-27 16:53 bugmaster Changeset attached => occt master 31b1749c
2015-02-27 16:53 bugmaster Status tested => verified
2015-02-27 16:53 bugmaster Resolution open => fixed
2015-03-18 13:33 git Note Added: 0038511
2015-05-14 15:29 aiv Status verified => closed
2015-05-14 15:32 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker